HP ALM 11.5 Server-Side System Requirements

The server-side system requirements for HP ALM 11.5, HP ALM 11.5 Essentials and HP Quality Center Enterprise 11.5 are outlined in this article, including the minimum hardware requirements, recommended environment configurations, supported operating systems, database servers, application servers, web servers and virtual environments.

If you plan to install HP ALM 11.5, check out our article that provides step-by-step instructions for an ALM 11.5 installation and our article on the client-side system requirements for HP ALM 11.5.

Hardware Requirements (Minimum)

The table below identifies the minimum server-side system requirements for the CPU, memory and free disk space.

CPU Windows: Quad Core AMD64 processor or equivalent x86-compatible processor
Linux: Quad Core AMD64 processor or equivalent x86-compatible processor
Solaris: SPARC architecture required (x86 architecture is NOT supported)
Memory (RAM) 8GB minimum
Free disk space 8GB minimum

Recommended Environment Configurations

HP strongly recommends utilizing only 64-bit environments. The table below outlines HP recommended operating system and database server versions.

Operating System DB Server
Windows 2008 R2 SP1 (64-bit) MS SQL 2008 R2 SP1
Linux Red Hat 6.2 (64-bit) Oracle 11.2.0.3

Supported Operating Systems

The table below identifies all supported operating systems.

Operating System HP Patch Required
Windows Server 2008 SP2 (32-bit, 64-bit)
Windows Server 2008 R2 SP1 (64-bit)
Sun Solaris 10 (64-bit SPARC) (x86 architecture not supported)
Linux Red Hat 6.2 (64-bit)
Linux SUSE 11 (64-bit)

Application Servers

The Jetty application server is built-in to ALM 11.5. No 3rd party application server needs to be installed. The Jetty application server uses JDK6 (1.6) and supports the 64-bit JVM.

Database Servers

The table below identifies the supported database servers (all of which are validated on 64-bit configurations).

Database Server HP Patch Required
MS SQL 2005 SP4
MS SQL 2008 R2 SP1
Oracle 10.2.0.5
Oracle 11.2.0.3

Web Servers

The table below identifies the supported web servers. The Jetty HTTP server includes an HTTP server; installing an HTTP server is not required.

Web Server HP Patch Required
Apache 2.2
IIS 7
IIS 7.5

Virtual Environments

VMWare ESX/ESXi Server 5.0 and higher is supported “as long as the above stated vendor guarantees full compatibility of the virtualized environment to the HP ALM/QC approved system requirements for physical hardware.”

Important Notes

The above information is accurate at the time of writing. Please consult the official HP ALM 11.5 system requirements documentation for the most up-to-date information, which is the source for this article.

What's Next?

Did you enjoy this article? Help spread the word by sharing:

Join the Northway Navigator Club today and get access to restricted content including our best tips and tricks. Membership is free! You will also receive free email updates by registering.

Engage in the conversation and leave a comment:

Brian MacKenzie

About Brian MacKenzie (24 articles)




Brian has over 14 years of experience working in IT, ranging from Software Quality Assurance, Software Development, Business Management to Systems Administration, in a wide range of technologies, languages, databases, systems and software. He has experience in both software quality assurance and software development roles. Brian specializes in HP LoadRunner, HP UFT (QuickTest Pro and Service Test), Mobile Testing and Automation, HP ALM and HP Service Virtualization, as well as delivering certified instructor training in HP UFT and mentoring in Service Test and Service Virtualization.



  • Srinivas Prasad

    Brian,
    We are planning to setup HP ALM 11.5 on MS SQL 2008 R2, the thought is to use the MS SQL cluster.
    Are you aware of any issues with going ahead with that setup as against setting up HP ALM 11.5 on a SQL instance?
    Another challenge is we need to move from the current DB which is on Oracle, not sure how much of a challenge this might pose?

    • Brian MacKenzie

      Srinivas,

      Currently, MS SQL clustering is not supported in version 11.x and higher. In addition, only MS SQL Server 2008 R2 SP1 is supported.

      Moving from one database platform to another is always a challenge, regardless of the application that utilizes the database.

      I recommend our professional services if you have planning or migration challenges. You can contact us for more information.

      Thank you for the comment!